# slack_doubleton_action Class Reference

Convert an explicit bound constraint to a column bound. More...

`#include <CoinPresolveSingleton.hpp>`

Inheritance diagram for slack_doubleton_action:
[legend]
Collaboration diagram for slack_doubleton_action:
[legend]

List of all members.

## Classes
struct | action
## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
virtual | ~slack_doubleton_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next, bool &notFinished)
| Convert explicit bound constraints to column bounds.
## Private Member Functions
| slack_doubleton_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_

## Detailed Description

Convert an explicit bound constraint to a column bound.

This transform looks for explicit bound constraints for a variable and transfers the bound to the appropriate column bound array. The constraint is removed from the constraint system.

Definition at line 24 of file CoinPresolveSingleton.hpp.

## Constructor & Destructor Documentation

slack_doubleton_action::slack_doubleton_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 41 of file CoinPresolveSingleton.hpp.

virtual slack_doubleton_action::~slack_doubleton_action | ( |  | ) | `[inline, virtual]`

Definition at line 65 of file CoinPresolveSingleton.hpp.

## Member Function Documentation

const char* slack_doubleton_action::name | ( |  | ) | const`[inline, virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 50 of file CoinPresolveSingleton.hpp.

static const CoinPresolveAction* slack_doubleton_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next,
|  | bool & | notFinished |
| ) |  |  | `[static]`

Convert explicit bound constraints to column bounds.

Not now There is a hard limit (MAX_SLACK_DOUBLETONS) on the number of constraints processed in a given call. `notFinished` is set to true if candidates remain.

void slack_doubleton_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int slack_doubleton_action::nactions_`[private]`

Definition at line 38 of file CoinPresolveSingleton.hpp.

const action* const slack_doubleton_action::actions_`[private]`

Definition at line 39 of file CoinPresolveSingleton.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.10.9/CoinUtils/src/CoinPresolveSingleton.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines